|
|||||||||
| Home >> All >> com >> mockobjects >> examples >> [ password overview ] | PREV CLASS NEXT CLASS | ||||||||
SUMMARY: JAVADOC | SOURCE | DOWNLOAD | NESTED | FIELD | CONSTR | METHOD |
DETAIL: FIELD | CONSTR | METHOD | ||||||||
com.mockobjects.examples.password
Class ForgotPasswordServlet

java.lang.Objectjavax.servlet.GenericServlet
javax.servlet.http.HttpServlet
com.mockobjects.examples.password.ForgotPasswordServlet
- All Implemented Interfaces:
- java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig
- public class ForgotPasswordServlet
- extends javax.servlet.http.HttpServlet
| Field Summary | |
static java.lang.String |
EMAIL_FAILED_PARAM_NAME
|
static java.lang.String |
EMAIL_NOT_FOUND_PARAM_NAME
|
static java.lang.String |
EMAIL_PARAM
|
private PasswordReminder |
passwordReminder
|
static java.lang.String |
SENT_PARAM_NAME
|
| Fields inherited from class javax.servlet.http.HttpServlet |
|
| Fields inherited from class javax.servlet.GenericServlet |
|
| Constructor Summary | |
ForgotPasswordServlet(PasswordReminder aPasswordReminder)
|
|
| Method Summary | |
protected void |
doGet(javax.servlet.http.HttpServletRequest request,
javax.servlet.http.HttpServletResponse response)
Called by the server (via the service method) to
allow a servlet to handle a GET request. |
private void |
redirectFor(javax.servlet.http.HttpServletResponse response,
java.lang.String emailAddress)
|
| Methods inherited from class javax.servlet.http.HttpServlet |
doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service |
| Methods inherited from class javax.servlet.GenericServlet |
destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log |
| Methods inherited from class java.lang.Object |
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
SENT_PARAM_NAME
public static final java.lang.String SENT_PARAM_NAME
- See Also:
- Constant Field Values
EMAIL_FAILED_PARAM_NAME
public static final java.lang.String EMAIL_FAILED_PARAM_NAME
- See Also:
- Constant Field Values
EMAIL_NOT_FOUND_PARAM_NAME
public static final java.lang.String EMAIL_NOT_FOUND_PARAM_NAME
- See Also:
- Constant Field Values
EMAIL_PARAM
public static final java.lang.String EMAIL_PARAM
- See Also:
- Constant Field Values
passwordReminder
private PasswordReminder passwordReminder
| Constructor Detail |
ForgotPasswordServlet
public ForgotPasswordServlet(PasswordReminder aPasswordReminder)
| Method Detail |
doGet
protected void doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response) throws javax.servlet.ServletException, java.io.IOException
- Description copied from class:
javax.servlet.http.HttpServlet - Called by the server (via the
servicemethod) to allow a servlet to handle a GET request.Overriding this method to support a GET request also automatically supports an HTTP HEAD request. A HEAD request is a GET request that returns no body in the response, only the request header fields.
When overriding this method, read the request data, write the response headers, get the response's writer or output stream object, and finally, write the response data. It's best to include content type and encoding. When using a
PrintWriterobject to return the response, set the content type before accessing thePrintWriterobject.The servlet container must write the headers before committing the response, because in HTTP the headers must be sent before the response body.
Where possible, set the Content-Length header (with the ServletResponse.setContentLength(int)>
ServletResponse.setContentLength(int)55 method), to allow the servlet container to use a persistent connection to return its response to the client, improving performance. The content length is automatically set if the entire response fits inside the response buffer.When using HTTP 1.1 chunked encoding (which means that the response has a Transfer-Encoding header), do not set the Content-Length header.
The GET method should be safe, that is, without any side effects for which users are held responsible. For example, most form queries have no side effects. If a client request is intended to change stored data, the request should use some other HTTP method.
The GET method should also be idempotent, meaning that it can be safely repeated. Sometimes making a method safe also makes it idempotent. For example, repeating queries is both safe and idempotent, but buying a product online or modifying data is neither safe nor idempotent.
If the request is incorrectly formatted,
doGetreturns an HTTP "Bad Request" message.
redirectFor
private void redirectFor(javax.servlet.http.HttpServletResponse response, java.lang.String emailAddress) throws java.io.IOException
|
|||||||||
| Home >> All >> com >> mockobjects >> examples >> [ password overview ] | PREV CLASS NEXT CLASS | ||||||||
SUMMARY: JAVADOC | SOURCE | DOWNLOAD | NESTED | FIELD | CONSTR | METHOD |
DETAIL: FIELD | CONSTR | METHOD | ||||||||
JAVADOC